diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-login.php ./wordpress-3.3/wp-login.php
*** ./wordpress-3.2.1/wp-login.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-login.php	2011-11-23 01:03:00.000000000 -0600
***************
*** 42,49 ****
  	global $error, $is_iphone, $interim_login, $current_site;
  
  	// Don't index any of these forms
! 	add_filter( 'pre_option_blog_public', '__return_zero' );
! 	add_action( 'login_head', 'noindex' );
  
  	if ( empty($wp_error) )
  		$wp_error = new WP_Error();
--- 42,48 ----
  	global $error, $is_iphone, $interim_login, $current_site;
  
  	// Don't index any of these forms
! 	add_action( 'login_head', 'wp_no_robots' );
  
  	if ( empty($wp_error) )
  		$wp_error = new WP_Error();
***************
*** 56,80 ****
  		add_action( 'login_head', 'wp_shake_js', 12 );
  
  	?>
! <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
  	<title><?php bloginfo('name'); ?> &rsaquo; <?php echo $title; ?></title>
  <?php
! 	wp_admin_css( 'login', true );
  	wp_admin_css( 'colors-fresh', true );
  
  	if ( $is_iphone ) { ?>
  	<meta name="viewport" content="width=320; initial-scale=0.9; maximum-scale=1.0; user-scalable=0;" />
  	<style type="text/css" media="screen">
! 	form { margin-left: 0px; }
! 	#login { margin-top: 20px; }
! 	</style>
! <?php
! 	} elseif ( isset($interim_login) && $interim_login ) { ?>
! 	<style type="text/css" media="all">
! 	.login #login { margin: 20px auto; }
  	</style>
  <?php
  	}
--- 55,76 ----
  		add_action( 'login_head', 'wp_shake_js', 12 );
  
  	?>
! <!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
  	<title><?php bloginfo('name'); ?> &rsaquo; <?php echo $title; ?></title>
  <?php
! 	wp_admin_css( 'wp-admin', true );
  	wp_admin_css( 'colors-fresh', true );
  
  	if ( $is_iphone ) { ?>
  	<meta name="viewport" content="width=320; initial-scale=0.9; maximum-scale=1.0; user-scalable=0;" />
  	<style type="text/css" media="screen">
! 	.login form, .login .message, #login_error { margin-left: 0px; }
! 	.login #nav, .login #backtoblog { margin-left: 8px; }
! 	.login h1 a { width: auto; }
! 	#login { padding: 20px 0; }
  	</style>
  <?php
  	}
***************
*** 84,92 ****
  </head>
  <body class="login">
  <?php   if ( !is_multisite() ) { ?>
! <div id="login"><h1><a href="<?php echo apply_filters('login_headerurl', 'http://wordpress.org/'); ?>" title="<?php echo apply_filters('login_headertitle', esc_attr__('Powered by WordPress')); ?>"><?php bloginfo('name'); ?></a></h1>
  <?php   } else { ?>
! <div id="login"><h1><a href="<?php echo apply_filters('login_headerurl', network_home_url() ); ?>" title="<?php echo apply_filters('login_headertitle', esc_attr($current_site->site_name) ); ?>"><span class="hide"><?php bloginfo('name'); ?></span></a></h1>
  <?php   }
  
  	$message = apply_filters('login_message', $message);
--- 80,88 ----
  </head>
  <body class="login">
  <?php   if ( !is_multisite() ) { ?>
! <div id="login"><h1><a href="<?php echo esc_url( apply_filters('login_headerurl', 'http://wordpress.org/') ); ?>" title="<?php echo esc_attr( apply_filters('login_headertitle', __( 'Powered by WordPress' ) ) ); ?>"><?php bloginfo('name'); ?></a></h1>
  <?php   } else { ?>
! <div id="login"><h1><a href="<?php echo esc_url( apply_filters('login_headerurl', network_home_url() ) ); ?>" title="<?php echo esc_attr( apply_filters('login_headertitle', $current_site->site_name ) ); ?>"><span class="hide"><?php bloginfo('name'); ?></span></a></h1>
  <?php   }
  
  	$message = apply_filters('login_message', $message);
***************
*** 124,130 ****
   */
  function login_footer($input_id = '') {
  	?>
! 	<p id="backtoblog"><a href="<?php bloginfo('url'); ?>/" title="<?php esc_attr_e('Are you lost?') ?>"><?php printf(__('&larr; Back to %s'), get_bloginfo('title', 'display' )); ?></a></p>
  	</div>
  
  <?php if ( !empty($input_id) ) : ?>
--- 120,126 ----
   */
  function login_footer($input_id = '') {
  	?>
! 	<p id="backtoblog"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php esc_attr_e( 'Are you lost?' ); ?>"><?php printf( __( '&larr; Back to %s' ), get_bloginfo( 'title', 'display' ) ); ?></a></p>
  	</div>
  
  <?php if ( !empty($input_id) ) : ?>
***************
*** 135,140 ****
--- 131,137 ----
  <?php endif; ?>
  
  <?php do_action('login_footer'); ?>
+ <div class="clear"></div>
  </body>
  </html>
  <?php
***************
*** 167,182 ****
  
  	$errors = new WP_Error();
  
! 	if ( empty( $_POST['user_login'] ) && empty( $_POST['user_email'] ) )
  		$errors->add('empty_username', __('<strong>ERROR</strong>: Enter a username or e-mail address.'));
! 
! 	if ( strpos($_POST['user_login'], '@') ) {
! 		$user_data = get_user_by_email(trim($_POST['user_login']));
! 		if ( empty($user_data) )
  			$errors->add('invalid_email', __('<strong>ERROR</strong>: There is no user registered with that email address.'));
  	} else {
  		$login = trim($_POST['user_login']);
! 		$user_data = get_userdatabylogin($login);
  	}
  
  	do_action('lostpassword_post');
--- 164,178 ----
  
  	$errors = new WP_Error();
  
! 	if ( empty( $_POST['user_login'] ) ) {
  		$errors->add('empty_username', __('<strong>ERROR</strong>: Enter a username or e-mail address.'));
! 	} else if ( strpos( $_POST['user_login'], '@' ) ) {
! 		$user_data = get_user_by( 'email', trim( $_POST['user_login'] ) );
! 		if ( empty( $user_data ) )
  			$errors->add('invalid_email', __('<strong>ERROR</strong>: There is no user registered with that email address.'));
  	} else {
  		$login = trim($_POST['user_login']);
! 		$user_data = get_user_by('login', $login);
  	}
  
  	do_action('lostpassword_post');
***************
*** 405,413 ****
  
  ?>
  
! <form name="lostpasswordform" id="lostpasswordform" action="<?php echo site_url('wp-login.php?action=lostpassword', 'login_post') ?>" method="post">
  	<p>
! 		<label><?php _e('Username or E-mail:') ?><br />
  		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr($user_login); ?>" size="20" tabindex="10" /></label>
  	</p>
  <?php do_action('lostpassword_form'); ?>
--- 401,409 ----
  
  ?>
  
! <form name="lostpasswordform" id="lostpasswordform" action="<?php echo esc_url( site_url( 'wp-login.php?action=lostpassword', 'login_post' ) ); ?>" method="post">
  	<p>
! 		<label for="user_login" ><?php _e('Username or E-mail:') ?><br />
  		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr($user_login); ?>" size="20" tabindex="10" /></label>
  	</p>
  <?php do_action('lostpassword_form'); ?>
***************
*** 416,424 ****
  </form>
  
  <p id="nav">
! <a href="<?php echo site_url('wp-login.php', 'login') ?>"><?php _e('Log in') ?></a>
! <?php if (get_option('users_can_register')) : ?>
!  | <a href="<?php echo site_url('wp-login.php?action=register', 'login') ?>"><?php _e('Register') ?></a>
  <?php endif; ?>
  </p>
  
--- 412,420 ----
  </form>
  
  <p id="nav">
! <a href="<?php echo esc_url( wp_login_url() ); ?>"><?php _e('Log in') ?></a>
! <?php if ( get_option( 'users_can_register' ) ) : ?>
!  | <a href="<?php echo esc_url( site_url( 'wp-login.php?action=register', 'login' ) ); ?>"><?php _e( 'Register' ); ?></a>
  <?php endif; ?>
  </p>
  
***************
*** 441,447 ****
  		$errors = new WP_Error('password_reset_mismatch', __('The passwords do not match.'));
  	} elseif ( isset($_POST['pass1']) && !empty($_POST['pass1']) ) {
  		reset_password($user, $_POST['pass1']);
! 		login_header(__('Password Reset'), '<p class="message reset-pass">' . __('Your password has been reset.') . ' <a href="' . site_url('wp-login.php', 'login') . '">' . __('Log in') . '</a></p>');
  		login_footer();
  		exit;
  	}
--- 437,443 ----
  		$errors = new WP_Error('password_reset_mismatch', __('The passwords do not match.'));
  	} elseif ( isset($_POST['pass1']) && !empty($_POST['pass1']) ) {
  		reset_password($user, $_POST['pass1']);
! 		login_header( __( 'Password Reset' ), '<p class="message reset-pass">' . __( 'Your password has been reset.' ) . ' <a href="' . esc_url( wp_login_url() ) . '">' . __( 'Log in' ) . '</a></p>' );
  		login_footer();
  		exit;
  	}
***************
*** 452,466 ****
  	login_header(__('Reset Password'), '<p class="message reset-pass">' . __('Enter your new password below.') . '</p>', $errors );
  
  ?>
! <form name="resetpassform" id="resetpassform" action="<?php echo site_url('wp-login.php?action=resetpass&key=' . urlencode($_GET['key']) . '&login=' . urlencode($_GET['login']), 'login_post') ?>" method="post">
  	<input type="hidden" id="user_login" value="<?php echo esc_attr( $_GET['login'] ); ?>" autocomplete="off" />
  
  	<p>
! 		<label><?php _e('New password') ?><br />
  		<input type="password" name="pass1" id="pass1" class="input" size="20" value="" autocomplete="off" /></label>
  	</p>
  	<p>
! 		<label><?php _e('Confirm new password') ?><br />
  		<input type="password" name="pass2" id="pass2" class="input" size="20" value="" autocomplete="off" /></label>
  	</p>
  
--- 448,462 ----
  	login_header(__('Reset Password'), '<p class="message reset-pass">' . __('Enter your new password below.') . '</p>', $errors );
  
  ?>
! <form name="resetpassform" id="resetpassform" action="<?php echo esc_url( site_url( 'wp-login.php?action=resetpass&key=' . urlencode( $_GET['key'] ) . '&login=' . urlencode( $_GET['login'] ), 'login_post' ) ); ?>" method="post">
  	<input type="hidden" id="user_login" value="<?php echo esc_attr( $_GET['login'] ); ?>" autocomplete="off" />
  
  	<p>
! 		<label for="pass1"><?php _e('New password') ?><br />
  		<input type="password" name="pass1" id="pass1" class="input" size="20" value="" autocomplete="off" /></label>
  	</p>
  	<p>
! 		<label for="pass2"><?php _e('Confirm new password') ?><br />
  		<input type="password" name="pass2" id="pass2" class="input" size="20" value="" autocomplete="off" /></label>
  	</p>
  
***************
*** 472,480 ****
  </form>
  
  <p id="nav">
! <a href="<?php echo site_url('wp-login.php', 'login') ?>"><?php _e('Log in') ?></a>
! <?php if (get_option('users_can_register')) : ?>
!  | <a href="<?php echo site_url('wp-login.php?action=register', 'login') ?>"><?php _e('Register') ?></a>
  <?php endif; ?>
  </p>
  
--- 468,476 ----
  </form>
  
  <p id="nav">
! <a href="<?php echo esc_url( wp_login_url() ); ?>"><?php _e( 'Log in' ); ?></a>
! <?php if ( get_option( 'users_can_register' ) ) : ?>
!  | <a href="<?php echo esc_url( site_url( 'wp-login.php?action=register', 'login' ) ); ?>"><?php _e( 'Register' ); ?></a>
  <?php endif; ?>
  </p>
  
***************
*** 511,524 ****
  	login_header(__('Registration Form'), '<p class="message register">' . __('Register For This Site') . '</p>', $errors);
  ?>
  
! <form name="registerform" id="registerform" action="<?php echo site_url('wp-login.php?action=register', 'login_post') ?>" method="post">
  	<p>
! 		<label><?php _e('Username') ?><br />
  		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr(stripslashes($user_login)); ?>" size="20" tabindex="10" /></label>
  	</p>
  	<p>
! 		<label><?php _e('E-mail') ?><br />
! 		<input type="text" name="user_email" id="user_email" class="input" value="<?php echo esc_attr(stripslashes($user_email)); ?>" size="25" tabindex="20" /></label>
  	</p>
  <?php do_action('register_form'); ?>
  	<p id="reg_passmail"><?php _e('A password will be e-mailed to you.') ?></p>
--- 507,520 ----
  	login_header(__('Registration Form'), '<p class="message register">' . __('Register For This Site') . '</p>', $errors);
  ?>
  
! <form name="registerform" id="registerform" action="<?php echo esc_url( site_url('wp-login.php?action=register', 'login_post') ); ?>" method="post">
  	<p>
! 		<label for="user_login"><?php _e('Username') ?><br />
  		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr(stripslashes($user_login)); ?>" size="20" tabindex="10" /></label>
  	</p>
  	<p>
! 		<label for="user_email"><?php _e('E-mail') ?><br />
! 		<input type="email" name="user_email" id="user_email" class="input" value="<?php echo esc_attr(stripslashes($user_email)); ?>" size="25" tabindex="20" /></label>
  	</p>
  <?php do_action('register_form'); ?>
  	<p id="reg_passmail"><?php _e('A password will be e-mailed to you.') ?></p>
***************
*** 528,535 ****
  </form>
  
  <p id="nav">
! <a href="<?php echo site_url('wp-login.php', 'login') ?>"><?php _e('Log in') ?></a> |
! <a href="<?php echo site_url('wp-login.php?action=lostpassword', 'login') ?>" title="<?php _e('Password Lost and Found') ?>"><?php _e('Lost your password?') ?></a>
  </p>
  
  <?php
--- 524,531 ----
  </form>
  
  <p id="nav">
! <a href="<?php echo esc_url( wp_login_url() ); ?>"><?php _e( 'Log in' ); ?></a> |
! <a href="<?php echo esc_url( wp_lostpassword_url() ); ?>" title="<?php esc_attr_e( 'Password Lost and Found' ) ?>"><?php _e( 'Lost your password?' ); ?></a>
  </p>
  
  <?php
***************
*** 544,550 ****
  	// If the user wants ssl but the session is not ssl, force a secure cookie.
  	if ( !empty($_POST['log']) && !force_ssl_admin() ) {
  		$user_name = sanitize_user($_POST['log']);
! 		if ( $user = get_userdatabylogin($user_name) ) {
  			if ( get_user_option('use_ssl', $user->ID) ) {
  				$secure_cookie = true;
  				force_ssl_admin(true);
--- 540,546 ----
  	// If the user wants ssl but the session is not ssl, force a secure cookie.
  	if ( !empty($_POST['log']) && !force_ssl_admin() ) {
  		$user_name = sanitize_user($_POST['log']);
! 		if ( $user = get_user_by('login', $user_name) ) {
  			if ( get_user_option('use_ssl', $user->ID) ) {
  				$secure_cookie = true;
  				force_ssl_admin(true);
***************
*** 586,595 ****
  
  		if ( ( empty( $redirect_to ) || $redirect_to == 'wp-admin/' || $redirect_to == admin_url() ) ) {
  			// If the user doesn't belong to a blog, send them to user admin. If the user can't edit posts, send them to their profile.
! 			if ( is_multisite() && !get_active_blog_for_user($user->id) && !is_super_admin( $user->id ) )
  				$redirect_to = user_admin_url();
  			elseif ( is_multisite() && !$user->has_cap('read') )
! 				$redirect_to = get_dashboard_url( $user->id );
  			elseif ( !$user->has_cap('edit_posts') )
  				$redirect_to = admin_url('profile.php');
  		}
--- 582,591 ----
  
  		if ( ( empty( $redirect_to ) || $redirect_to == 'wp-admin/' || $redirect_to == admin_url() ) ) {
  			// If the user doesn't belong to a blog, send them to user admin. If the user can't edit posts, send them to their profile.
! 			if ( is_multisite() && !get_active_blog_for_user($user->ID) && !is_super_admin( $user->ID ) )
  				$redirect_to = user_admin_url();
  			elseif ( is_multisite() && !$user->has_cap('read') )
! 				$redirect_to = get_dashboard_url( $user->ID );
  			elseif ( !$user->has_cap('edit_posts') )
  				$redirect_to = admin_url('profile.php');
  		}
***************
*** 631,647 ****
  	$rememberme = ! empty( $_POST['rememberme'] );
  ?>
  
! <form name="loginform" id="loginform" action="<?php echo site_url('wp-login.php', 'login_post') ?>" method="post">
  	<p>
! 		<label><?php _e('Username') ?><br />
  		<input type="text" name="log" id="user_login" class="input" value="<?php echo esc_attr($user_login); ?>" size="20" tabindex="10" /></label>
  	</p>
  	<p>
! 		<label><?php _e('Password') ?><br />
  		<input type="password" name="pwd" id="user_pass" class="input" value="" size="20" tabindex="20" /></label>
  	</p>
  <?php do_action('login_form'); ?>
! 	<p class="forgetmenot"><label><input name="rememberme" type="checkbox" id="rememberme" value="forever" tabindex="90"<?php checked( $rememberme ); ?> /> <?php esc_attr_e('Remember Me'); ?></label></p>
  	<p class="submit">
  		<input type="submit" name="wp-submit" id="wp-submit" class="button-primary" value="<?php esc_attr_e('Log In'); ?>" tabindex="100" />
  <?php	if ( $interim_login ) { ?>
--- 627,643 ----
  	$rememberme = ! empty( $_POST['rememberme'] );
  ?>
  
! <form name="loginform" id="loginform" action="<?php echo esc_url( site_url( 'wp-login.php', 'login_post' ) ); ?>" method="post">
  	<p>
! 		<label for="user_login"><?php _e('Username') ?><br />
  		<input type="text" name="log" id="user_login" class="input" value="<?php echo esc_attr($user_login); ?>" size="20" tabindex="10" /></label>
  	</p>
  	<p>
! 		<label for="user_pass"><?php _e('Password') ?><br />
  		<input type="password" name="pwd" id="user_pass" class="input" value="" size="20" tabindex="20" /></label>
  	</p>
  <?php do_action('login_form'); ?>
! 	<p class="forgetmenot"><label for="rememberme"><input name="rememberme" type="checkbox" id="rememberme" value="forever" tabindex="90"<?php checked( $rememberme ); ?> /> <?php esc_attr_e('Remember Me'); ?></label></p>
  	<p class="submit">
  		<input type="submit" name="wp-submit" id="wp-submit" class="button-primary" value="<?php esc_attr_e('Log In'); ?>" tabindex="100" />
  <?php	if ( $interim_login ) { ?>
***************
*** 657,666 ****
  <p id="nav">
  <?php if ( isset($_GET['checkemail']) && in_array( $_GET['checkemail'], array('confirm', 'newpass') ) ) : ?>
  <?php elseif ( get_option('users_can_register') ) : ?>
! <a href="<?php echo site_url('wp-login.php?action=register', 'login') ?>"><?php _e('Register') ?></a> |
! <a href="<?php echo site_url('wp-login.php?action=lostpassword', 'login') ?>" title="<?php _e('Password Lost and Found') ?>"><?php _e('Lost your password?') ?></a>
  <?php else : ?>
! <a href="<?php echo site_url('wp-login.php?action=lostpassword', 'login') ?>" title="<?php _e('Password Lost and Found') ?>"><?php _e('Lost your password?') ?></a>
  <?php endif; ?>
  </p>
  <?php } ?>
--- 653,662 ----
  <p id="nav">
  <?php if ( isset($_GET['checkemail']) && in_array( $_GET['checkemail'], array('confirm', 'newpass') ) ) : ?>
  <?php elseif ( get_option('users_can_register') ) : ?>
! <a href="<?php echo esc_url( site_url( 'wp-login.php?action=register', 'login' ) ); ?>"><?php _e( 'Register' ); ?></a> |
! <a href="<?php echo esc_url( wp_lostpassword_url() ); ?>" title="<?php esc_attr_e( 'Password Lost and Found' ); ?>"><?php _e( 'Lost your password?' ); ?></a>
  <?php else : ?>
! <a href="<?php echo esc_url( wp_lostpassword_url() ); ?>" title="<?php esc_attr_e( 'Password Lost and Found' ); ?>"><?php _e( 'Lost your password?' ); ?></a>
  <?php endif; ?>
  </p>
  <?php } ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-mail.php ./wordpress-3.3/wp-mail.php
*** ./wordpress-3.2.1/wp-mail.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-mail.php	2011-08-05 11:57:31.000000000 -0500
***************
*** 113,119 ****
  				$author = sanitize_email($author);
  				if ( is_email($author) ) {
  					echo '<p>' . sprintf(__('Author is %s'), $author) . '</p>';
! 					$userdata = get_user_by_email($author);
  					if ( empty($userdata) ) {
  						$author_found = false;
  					} else {
--- 113,119 ----
  				$author = sanitize_email($author);
  				if ( is_email($author) ) {
  					echo '<p>' . sprintf(__('Author is %s'), $author) . '</p>';
! 					$userdata = get_user_by('email', $author);
  					if ( empty($userdata) ) {
  						$author_found = false;
  					} else {
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-pass.php ./wordpress-3.3/wp-pass.php
*** ./wordpress-3.2.1/wp-pass.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-pass.php	2011-09-18 23:17:26.000000000 -0500
***************
*** 9,19 ****
  /** Make sure that the WordPress bootstrap has run before continuing. */
  require( dirname(__FILE__) . '/wp-load.php');
  
- if ( get_magic_quotes_gpc() )
- 	$_POST['post_password'] = stripslashes($_POST['post_password']);
- 
  // 10 days
! setcookie('wp-postpass_' . COOKIEHASH, $_POST['post_password'], time() + 864000, COOKIEPATH);
  
  wp_safe_redirect(wp_get_referer());
  exit;
--- 9,16 ----
  /** Make sure that the WordPress bootstrap has run before continuing. */
  require( dirname(__FILE__) . '/wp-load.php');
  
  // 10 days
! setcookie('wp-postpass_' . COOKIEHASH, stripslashes( $_POST['post_password'] ), time() + 864000, COOKIEPATH);
  
  wp_safe_redirect(wp_get_referer());
  exit;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-settings.php ./wordpress-3.3/wp-settings.php
*** ./wordpress-3.2.1/wp-settings.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-settings.php	2011-10-18 14:37:07.000000000 -0500
***************
*** 29,36 ****
  wp_check_php_mysql_versions();
  
  // Disable magic quotes at runtime. Magic quotes are added using wpdb later in wp-settings.php.
! set_magic_quotes_runtime( 0 );
! @ini_set( 'magic_quotes_sybase', 0 );
  
  // Set default timezone in PHP 5.
  if ( function_exists( 'date_default_timezone_set' ) )
--- 29,36 ----
  wp_check_php_mysql_versions();
  
  // Disable magic quotes at runtime. Magic quotes are added using wpdb later in wp-settings.php.
! @ini_set( 'magic_quotes_runtime', 0 );
! @ini_set( 'magic_quotes_sybase',  0 );
  
  // Set default timezone in PHP 5.
  if ( function_exists( 'date_default_timezone_set' ) )
***************
*** 75,80 ****
--- 75,81 ----
  require_wp_db();
  
  // Set the database table prefix and the format specifiers for database table columns.
+ $GLOBALS['table_prefix'] = $table_prefix;
  wp_set_wpdb_vars();
  
  // Start the WordPress object cache, or an external object cache if the drop-in is present.
***************
*** 92,97 ****
--- 93,100 ----
  	define( 'MULTISITE', false );
  }
  
+ register_shutdown_function( 'shutdown_action_hook' );
+ 
  // Stop most of WordPress from being loaded if we just want the basics.
  if ( SHORTINIT )
  	return false;
***************
*** 247,253 ****
   * @global object $wp_widget_factory
   * @since 2.8.0
   */
! $wp_widget_factory = new WP_Widget_Factory();
  
  do_action( 'setup_theme' );
  
--- 251,257 ----
   * @global object $wp_widget_factory
   * @since 2.8.0
   */
! $GLOBALS['wp_widget_factory'] = new WP_Widget_Factory();
  
  do_action( 'setup_theme' );
  
***************
*** 272,278 ****
   * @global object $wp_locale
   * @since 2.1.0
   */
! $wp_locale = new WP_Locale();
  
  // Load the functions for the active theme, for both parent and child theme if applicable.
  if ( ! defined( 'WP_INSTALLING' ) || 'wp-activate.php' === $pagenow ) {
--- 276,282 ----
   * @global object $wp_locale
   * @since 2.1.0
   */
! $GLOBALS['wp_locale'] = new WP_Locale();
  
  // Load the functions for the active theme, for both parent and child theme if applicable.
  if ( ! defined( 'WP_INSTALLING' ) || 'wp-activate.php' === $pagenow ) {
***************
*** 287,294 ****
  // Load any template functions the theme supports.
  require_if_theme_supports( 'post-thumbnails', ABSPATH . WPINC . '/post-thumbnail-template.php' );
  
- register_shutdown_function( 'shutdown_action_hook' );
- 
  // Set up current user.
  $wp->init();
  
--- 291,296 ----
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-signup.php ./wordpress-3.3/wp-signup.php
*** ./wordpress-3.2.1/wp-signup.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-signup.php	2011-11-15 14:44:48.000000000 -0600
***************
*** 3,9 ****
  /** Sets up the WordPress Environment. */
  require( dirname(__FILE__) . '/wp-load.php' );
  
! add_action( 'wp_head', 'signuppageheaders' ) ;
  
  require( './wp-blog-header.php' );
  
--- 3,9 ----
  /** Sets up the WordPress Environment. */
  require( dirname(__FILE__) . '/wp-load.php' );
  
! add_action( 'wp_head', 'wp_no_robots' );
  
  require( './wp-blog-header.php' );
  
***************
*** 17,26 ****
  }
  add_action( 'wp_head', 'do_signup_header' );
  
- function signuppageheaders() {
- 	echo "<meta name='robots' content='noindex,nofollow' />\n";
- }
- 
  if ( !is_multisite() ) {
  	wp_redirect( site_url('wp-login.php?action=register') );
  	die();
--- 17,22 ----
***************
*** 213,219 ****
  	$meta = apply_filters( 'signup_create_blog_meta', array( 'lang_id' => 1, 'public' => $public ) ); // deprecated
  	$meta = apply_filters( 'add_signup_meta', $meta );
  
! 	wpmu_create_blog( $domain, $path, $blog_title, $current_user->id, $meta, $wpdb->siteid );
  	confirm_another_blog_signup($domain, $path, $blog_title, $current_user->user_login, $current_user->user_email, $meta);
  	return true;
  }
--- 209,215 ----
  	$meta = apply_filters( 'signup_create_blog_meta', array( 'lang_id' => 1, 'public' => $public ) ); // deprecated
  	$meta = apply_filters( 'add_signup_meta', $meta );
  
! 	wpmu_create_blog( $domain, $path, $blog_title, $current_user->ID, $meta, $wpdb->siteid );
  	confirm_another_blog_signup($domain, $path, $blog_title, $current_user->user_login, $current_user->user_email, $meta);
  	return true;
  }
